<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myOrderBillingItemLabel" jhiTranslate="mpmApp.orderBillingItem.home.createOrEditLabel">Create or edit a Order Billing Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!orderBillingItem.idOrderBillingItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orderBillingItem.idOrderBillingItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderBillingItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="orderBillingItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderBillingItem.amount" for="field_amount">Amount</label>
                    <input currencyMask class="form-control" name="amount" id="field_amount"
                        [(ngModel)]="orderBillingItem.amount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idOrderItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderBillingItem.orderItem" for="field_orderItem">Order Item</label>
                    <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="orderBillingItem.orderItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillingItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderBillingItem.billingItem" for="field_billingItem">Billing Item</label>
                    <select class="form-control" id="field_billingItem" name="billingItem" [(ngModel)]="orderBillingItem.billingItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingItemOption.idBillingItem" *ngFor="let billingItemOption of billingitems; trackBy: trackBillingItemById">{{billingItemOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
